Uptimeify Docs
MonitorsSmtp monitors

Trigger Check for SMTP Monitor

Triggers an immediate check from all eligible monitoring locations.

POST /api/smtp-monitors/:smtpMonitorPublicId/trigger-check

Authentication

Requires a valid session and write access.

  • Header: Authorization: Bearer <token>

Parameters

  • smtpMonitorPublicId (Path, required): SMTP monitor public UUID.

cURL

curl -X POST "https://YOUR_DOMAIN/api/smtp-monitors/33333333-3333-4333-8333-333333333333/trigger-check" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "success": true,
  "message": "Checks triggered successfully",
  "smtpMonitorId": 200,
  "locationCodes": ["de-nbg", "fi-hel"],
  "queueNames": ["smtp-monitor-checks-de-nbg", "smtp-monitor-checks-fi-hel"]
}

Errors

  • 400 SMTP monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 500 Failed to trigger check (the status message may include e.g. "No active monitoring locations available")

On this page